<?php
namespace SabaiApps\Directories\Component\Payment\NotificationEvent;

class OrderCreatedNotificationEvent extends AbstractOrderNotificationEvent {

	protected $_isForAdmin = true;

	protected function _notificationEventInfo() {
		return array(
			'label'            => _x( 'New order', 'notification event', 'directories-pro' ),
			'default_settings' => array(),
			'actions'          => array(
				'payment_order_created',
			),
			'weight'           => 20,
		);
	}

	protected function _getDefaultNotificationLabel() {
		return __( 'New order has been submitted', 'directories-pro' );
	}

	protected function _getDefaultNotificationBody() {
		return array(
			__( 'A new order has been submitted.', 'directories-pro' ),
			implode(
				PHP_EOL,
				array(
					sprintf( __( 'Order number: %s', 'directories-pro' ), '%order_number%' ),
					sprintf( __( 'Order plan: %s', 'directories-pro' ), '%order_name%' ),
					'%order_admin_url%',
				)
			),
		);
	}
}
